<!-- The component is meant to be hidden and activated by parent -->
<!-- TODO группирование по фаворитам и всем остальным -->
<ionic-selectable
  #selectableComponent
  [(ngModel)]="currency"
  itemValueField="abbreviation"
  itemTextField="name"
  [items]="currencies"
  [canSearch]="true"
  [hasVirtualScroll]="true"
  (onChange)="currencyChange($event)"
  (onSearch)="currencySearch($event)"
>
  <!-- placeholder -->
  <ng-template ionicSelectablePlaceholderTemplate>
    Select currency
  </ng-template>

  <!-- search fail -->
  <ng-template ionicSelectableSearchFailTemplate>
    <div padding>No items found.</div>
  </ng-template>

  <!-- title -->
  <ng-template ionicSelectableTitleTemplate> {{ listTitle }} </ng-template>

  <!-- close button -->
  <ng-template ionicSelectableCloseButtonTemplate>
    <ion-icon name="arrow-back"></ion-icon>
  </ng-template>

  <!-- item contents -->
  <ng-template ionicSelectableItemTemplate let-currency="item">
    <ion-label>
      <h2>
        {{ currency.name }}
      </h2>
      <p>{{ currency.abbreviation }} ({{ currency.symbol }})</p>
    </ion-label>
  </ng-template>

  <!-- item contents right -->
  <ng-template ionicSelectableItemEndTemplate let-currency="item">
    <ion-thumbnail slot="start">
      <ion-img src="{{ currency.imagePath }}"></ion-img>
    </ion-thumbnail>
  </ng-template>
</ionic-selectable>
